function [par,weight]=coefficients_VDPD_NLTVA(gamma,mu2,r,alpha3,beta3,mu1)
% This function compute the coefficients of the system in modal
% coordinates. The expressions are obtained through computer algebra with a
% different software. For more details look at Habib, G. (2021). Dynamical 
% integrity assessment of stable equilibria: a new rapid iterative 
% procedure. Nonlinear Dynamics, 106(3), 2073-2096.


par=[(sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*sqrt((2+2*(1+r)^2*gamma^4-2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-2*(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)*(-1-r*(1+r)*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+gamma^2*(1+r*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))))/(sqrt(2)*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(-1-(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))), ...
        (sqrt((4+4*(1+r)^2*gamma^4-4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-4*(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)*((-mu1)*(-1-(-1+r)*(1+r)^2*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+gamma^4*(-3+2*r+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r^2*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))+mu2*r*gamma*(-1-(1+r)^3*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1+r)*gamma^4*(1+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+gamma^2*(1+r*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))))/ ...
        (sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(-1-(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))), ...
        -((4*r*(mu2+mu1*gamma))/(gamma*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4))), ...
        -((4*r*(mu1+mu1*(-1+r)*gamma^2-mu1*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/(sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4))), ...
        -((4*mu1*r*gamma^4*(1+(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/(sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))), ...
        -((3*(beta3+r*alpha3*gamma^4))/(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)), ...
        (2*mu1*(-1-(-1+r^3)*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2)*gamma^4*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(-1+r)*gamma^2*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))/ ...
        (sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(-1-(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))), ...
        -((2*mu1*r*gamma^4*(1+(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/(sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))), ...
        (1/(8*r*(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)^(3/2)))*(3*gamma^2*sqrt((4+4*(1+r)^2*gamma^4-4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-4*(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)*sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)* ...
        (r*alpha3*gamma^2*(-1+gamma^2-r*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+beta3*(-1+r+gamma^2+2*r*gamma^2+r^2*gamma^2-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-r*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))), ...
        -((2*r*(mu1+mu1*(-1+r)*gamma^2-mu1*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/(sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4))), ...
        (2*mu1*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(1+(-1+r^3)*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2)*gamma^4*(3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(-1+r)*gamma^2*(3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))/ ...
        (gamma^4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)^(3/2)), ...
        -((8*r*(mu2+mu1*gamma)*(-1-(-1+r)*(1+r)^2*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+gamma^4*(-3+2*r+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r^2*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))))/ ...
        (gamma*(-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(1+(1+r)^2*gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4))), ...
        (1/2)*(-1-(1+r)*gamma^2-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)), ...
        (4*mu1*r*gamma^4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-2*mu2*gamma*(-1+(1+r)^3*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-gamma^2*(-3+r+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(1+r)*gamma^4*(-3+r+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))/ ...
        ((1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))), ...
        -((4*mu1*r*gamma^4)/(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)), ...
        (4*mu1*r*gamma^4*(1+(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2))/((1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)), ...
        (24*r*(-2*r^2*alpha3*gamma^6*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+beta3*(-1+(1+r)^3*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-gamma^2*(-3+r+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(1+r)*gamma^4*(-3+r+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))))/ ...
        (gamma^2*(1+(-1+r)*gamma^2-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(1+(1+r)^2*gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))* ...
        ((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)^(3/2)), ...
        -((2*mu1*gamma^4*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)* ...
        (-1-(-1+r^3)*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2)*gamma^4*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(-1+r)*gamma^2*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))/((1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(1+(-1+r)*gamma^2-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))* ...
        (1+(1+r)^2*gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))), ...
        (2*mu1*r*gamma^4*(1+(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2))/((1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)), ...
        -((12*(beta3+r*alpha3*gamma^4)*(-1-(-1+r^3)*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2)*gamma^4*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(-1+r)*gamma^2*(-3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))/ ...
        ((-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*(-1-(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))^2)), ...
        -((2*mu1*r*gamma^4)/(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)), ...
        -((4*mu1*r*gamma^4*(1+(-1+r)*(1+r)^2*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+gamma^4*(3-2*r+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r^2*(3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))))/ ...
        ((1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(-1-(-1+r)*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*(1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))), ...
        (2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*sqrt((4+4*(1+r)^2*gamma^4-4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-4*(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)* ...
        ((-alpha3)*(-1-(-1+r^5)*gamma^10+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2-r^3+r^4)*gamma^8*(-5+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+ ...
        (-2+3*r-3*r^2+2*r^3)*gamma^6*(-5+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+(2-3*r+2*r^2)*gamma^4*(-5+3*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+ ...
        (-1+r)*gamma^2*(-5+4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+r*beta3*(1+r*(1+r)^4*gamma^10-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+ ...
        r*gamma^4*(1-3*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(10-6*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+gamma^2*(-1+r*(5-4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        r*gamma^6*(1-2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(9-6*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+r^2*(10-4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))- ...
        r*(1+r)^2*gamma^8*(-1+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(-5+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))))/ ...
        (sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)* ...
        (1+(1+r)^2*gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)-(-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))^3), ... ...
        (gamma^2*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4-((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)* ...
        (alpha3*gamma^2*(1+(-1+r^3)*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(1-r+r^2)*gamma^4*(3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+ ...
        (-1+r)*gamma^2*(3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))-beta3*(1+r*(1+r)^2*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+ ...
        r*gamma^4*(1+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+gamma^2*(-1+r*(3+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))))/ ...
        (sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))^2), ...
        (16*r*(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)*(alpha3*gamma^2*(1+(-1+r^5)*gamma^10-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)- ...
        (1-r+r^2-r^3+r^4)*gamma^8*(-5+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))-(-2+3*r-3*r^2+2*r^3)*gamma^6*(-5+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))- ...
        (2-3*r+2*r^2)*gamma^4*(-5+3*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))-(-1+r)*gamma^2*(-5+4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        beta3*(-1-r^3*(1+r)^2*gamma^10+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r^3*gamma^8*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(-5+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        gamma^6*(1-2*r+3*r^2+2*r^3*(-5+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+gamma^4*(-3+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(7-3*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+ ...
        2*r^2*(-5+3*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+gamma^2*(3-2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+r*(-5+4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))))/ ...
        (gamma^2*(1+(-1+r)*gamma^2-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))*sqrt((1+r)^2+1/gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)/gamma^4- ...
        ((-1+r)*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^2)*(1+(1+r)^2*gamma^4-sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)- ...
        (-1+r)*gamma^2*(-2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))^3* ...
        sqrt((1+(1+r)^2*gamma^4+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+(-1+r)*gamma^2*(2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))/gamma^4)), ...
        -((1/(2*r*(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)^(3/2)))*(r^5*beta3*gamma^6+r*alpha3*(-1+gamma^2)^2*(1-gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+ ...
        beta3*(-1+gamma^2)^2*(-1+gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+r^4*gamma^4*(alpha3*gamma^2+beta3*(3+5*gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        r*beta3*gamma^2*(1+5*gamma^4-2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+gamma^2*(-6+4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        r^2*((-alpha3)*gamma^2*(-3+2*gamma^2+gamma^4-2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+beta3*(1+gamma^2+10*gamma^6+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+ ...
        2*gamma^2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+6*gamma^4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)))+ ...
        r^3*gamma^2*(alpha3*gamma^2*(3+gamma^2+sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))+beta3*(3+10*gamma^4+2*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4)+ ...
        gamma^2*(6+4*sqrt(1+2*(-1+r)*gamma^2+(1+r)^2*gamma^4))))))];

weight=[abs(par(1)), 1, abs(par(13)), 1];
